```text
[[[ SYNOPSIS ]]]

 pfaltgall [options] <configuration file path> <output file path>

[[[ DESCRIPTION ]]]

 This is pfaltgall v0.2.1, a CLI PHP script that can generate an html file
with a gallery from your Pixelfed profile. The html gallery file will load
images dynamically, display each one using almost all the available screen
space and let you jump right from the start to any point in the timeline.
It will also show each post’s text content, its date, and provide each image
with its description (alt-text), if present.
 See my example gallery here: https://rame.altervista.org/foto-pixelfed
 In order to create the html gallery file, you just need to login to your
Pixelfed account and get an app token (Settings -> Applications -> Create new
token), then create a configuration file for pfaltgall like this (don’t write
the «---» lines):

---
host=your_instance_host
token=your_token
---

 For example:

---
host=pixelfed.social
token=as7f8a7s0d89f7as97df09a8s7d90f81jkl2h34lkj12h3jkl4
---

 Then run pfaltgall with the path of the configuration file you have created
and the path of an output file as arguments (if the output file exists, it
will be overwritten), e.g.: «pfaltgall goofy@pixelfed.social.conf index.html».
 This will create an html file that will be ready to be put where you want
(you’ll also be able to see it locally, obviously).

[[[ OPTIONS ]]]

 -h, --help
  Show this help text and exit.

[[[ DISCLAIMER AND LICENSE ]]]

 This program comes with ABSOLUTELY NO WARRANTY; for details see the source.
 This is free software, and you are welcome to redistribute it under certain
conditions; see <http://www.gnu.org/licenses/> for details.

```
